#   File:       load_image-cbn.make
#   Target:     load_image-cbn
#   Created:    Sunday, September 23, 2007 08:00:35 PM


MAKEFILE        = load_image-cbn.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

SpBaseDir  	= :::spBase:
SpComponentDir  = ::
SpLibDir  	= :::lib:

ObjDir          = :
Includes        =  
				  -i {SpComponentDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC} -d TARGET_API_MAC_CARBON=1 -d HIGH_LEVEL_EVENT -includes unix -enum int -j0 -w 35


### Source Files ###

SrcFiles        =  
				  load_image.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}load_image.c.x"


### Libraries ###

LibFiles-PPC    =  
				  "{SpLibDir}spComponent-cbn.o" 
				  "{SpLibDir}spBase-cbn.o" 
				  "{PPCLibraries}CarbonStdCLib.o" 
				  "{SharedLibraries}CarbonLib" 
				  "{SharedLibraries}StdCLib" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
#				  "{PPCLibraries}PPCToolLibs.o"


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

load_image-cbn    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-m __appstart 
		-t 'APPL' 
		-c '????'


load_image-cbn    {MondoBuild}
	Echo "Data 'carb' (0) {$"00000000"};" | Rez -o {Targ} -append

load_image-cbn    {MondoBuild}
	Echo 
		"#include "Processes.r"n 
		Resource 'SIZE' (-1) { 
		reserved, 
		acceptSuspendResumeEvents, 
		reserved, 
		canBackground, 
		doesActivateOnFGSwitch, 
		backgroundAndForeground, 
		dontGetFrontClicks, 
		ignoreAppDiedEvents, 
		is32BitCompatible, 
		isHighLevelEventAware, 
		onlyLocalHLEvents, 
		notStationeryAware, 
		dontUseTextEditServices, 
		notDisplayManagerAware, 
		reserved, 
		reserved, 
		1024 * 1024, 
		1024 * 1024 };" | Rez -o {Targ} -append


### Required Dependencies ###

"{ObjDir}load_image.c.x"    load_image.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


